<script>
  // Properties
  export let data = [];
  export let value = "all";
  export let year = 0;
  export let paused = true;
  export let loop;

  const continents = ["europe", "asia", "americas", "africa"];

  // Create counter
  function increment(){  
    if (year < 214){
    year+=1;
    } else if (year === 214) {
    year = 0;
    }
  }

  function playPause(event) {
    if (paused) {
    paused = false;
    loop = setInterval(increment,50);
    } else {
    paused = true;
    clearInterval(loop);
    }
    }

  function resetAnimation(event) {
    year = 0;
    clearInterval(loop);
    paused = true;
  }

</script>

<div class="row">
  <div class="col-sm">
    <button class="btn btn-primary" on:click={playPause}>{paused ? "Start": "Stop"}</button>
    <button class="btn btn-primary" on:click={resetAnimation}>Reset</button>
    </div>
    
    <div class="col-sm">
      <label class="form-label col-sm-10">
        Year: {+data[0]["year"] + year}
      </label>
      <input type="range"
             min="0"
             max="214"
             step=1
             bind:value={year}
             class="slider"
             id="mySlider" />
      </div>

    <div class="col-sm">
      <select bind:value>
        <option value={"all"}>{"all"}</option>
        {#each continents as continent}
          <option value={continent}>{continent}</option> 
        {/each}
      </select>
    </div>
</div>